initial:
  image: 
    name: flyway/flyway
    entrypoint: [""]
  script:
  - 'cp *.sql /flyway/sql/'
  - /flyway/flyway -url=jdbc:h2:mem:test -user=sa info
  - /flyway/flyway -url=jdbc:h2:mem:test -user=sa migrate
  artifacts:
    paths:
      - report.html

pages:
  stage: deploy
  dependencies:
    - initial
  script:
    - mkdir public
    - mv report.html index.html
    - cp index.html public/
  artifacts:
    paths:
      - public
    expire_in: 30 days
  only:
    - master
